> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Users from Account

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Removes users from an account.

<Note>
  This API requires a JWT generated by an application created only from the Admin Console.
</Note>

| Property          | Value                                                                                                                              |
| ----------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | DELETE                                                                                                                             |
| **Endpoint**      | `https://{{host}}/api/public/users`                                                                                                |
| **Content Type**  | `application/json`                                                                                                                 |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Not Applicable; Admin Console: User Management > User Management                                                      |

## Path Parameters

| Parameter | Description                                              |
| --------- | -------------------------------------------------------- |
| `host`    | Environment URL, for example, `https://platform.kore.ai` |

## Sample Request

```bash theme={null}
curl -X DELETE \
  https://{{host}}/api/public/users \
  -H 'Content-Type: application/json' \
  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \
  -d '{
     "deleteEmailIds": ["john.doe@example.com"]
   }'
```

## Body Parameters

| Parameter                        | Description                                                   |
| -------------------------------- | ------------------------------------------------------------- |
| `deleteEmailIds` or `orgUserIds` | Array of email addresses or org user IDs for users to remove. |

## Sample Response

**Success:**

```json theme={null}
{
    "msg": "Users are removed Successfully"
}
```

**Failure:**

```json theme={null}
{
   "failedUserDetails": [
    {
        "emailId": "john.doe@example.com",
        "reason": {
            "statusCode": 400,
            "status": 400,
            "customCode": 400,
            "errors": [
                {
                    "msg": "Unauthorized to perform this activity",
                    "code": 400
                }
            ],
            "message": "Unauthorized to perform this activity",
            "name": "BadRequest"
        }
    }
    ]
}
```
